Package org.apache.qpid.proton.reactor

# Interface Acceptor

All Superinterfaces:
  `Extendable`, `ReactorChild`

All Known Implementing Classes:
  `AcceptorImpl`

public interface Acceptor extends ReactorChild, Extendable
Acceptors are children of a `Reactor` that accept in-bound network connections.

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Closes the acceptor, stopping it accepting any further in-bound connections.

### Methods inherited from interface org.apache.qpid.proton.engine.Extendable

`attachments`

### Methods inherited from interface org.apache.qpid.proton.reactor.ReactorChild

`free`

## Method Details

### close

void close()
Closes the acceptor, stopping it accepting any further in-bound connections. Already accepted connections continue to be processed by the associated reactor.